<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwDevice: Deprecated List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwDevice
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('deprecated.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Deprecated List </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><dl class="reflist">
<dt>Member <a class="el" href="fwDeviceDeprecated_8ctl.html#ae2ee57dbbb56498e07169eb1383315df">fwDevice_createObject</a>  (dyn_string &amp;device, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000002"></a>2018-06-22 </dd>
<dt>Member <a class="el" href="fwDeviceDeprecated_8ctl.html#ad539a61d5b7e27b2964e25965e7fa3f6">fwDevice_doubleClickViewTable</a>  ()</dt>
<dd><a class="anchor" id="_deprecated000004"></a>2018-06-22  </dd>
<dt>Member <a class="el" href="fwDeviceDeprecated_8ctl.html#a82c761345c40c76c2ed812ac36450def">fwDevice_getChildrenLogical</a>  (string deviceDpAlias, dyn_string &amp;children, dyn_string exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000006"></a>2018-06-22 One should use <a class="el" href="fwDevice_8ctl.html#a566f89886c4bf957ea97fc0a5ada3123">fwDevice_getChildren</a> with type="LOGICAL" instead </dd>
<dt>Member <a class="el" href="fwDeviceDeprecated_8ctl.html#a18d0967918b2ca4add0957fe2e38f411">fwDevice_getNameRoot</a>  (string deviceDpType, string &amp;nameRoot, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000005"></a>2018-06-22  </dd>
<dt>Member <a class="el" href="fwDeviceDeprecated_8ctl.html#ab44e6b5028f8404b102b0c9533be6b91">fwDevice_getStartingNumber</a>  (dyn_string device, int &amp;startingNumber, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000001"></a>2018-06-22  </dd>
<dt>Member <a class="el" href="fwDeviceDeprecated_8ctl.html#ab6027a930e48c87239c994122676cef5">fwDevice_processModelTemplate</a>  (string deviceDpName, string templateString, string &amp;finalString, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000003"></a>2018-06-22</dd>
</dl>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
